/*===========================================================================*/
/*   (Rgc/rgcdfa.scm)                                                        */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Rgc/rgcdfa.scm -indent -o objs/obj_u/Rgc/rgcdfa.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___RGC_DFA_TYPE_DEFINITIONS
#define BGL___RGC_DFA_TYPE_DEFINITIONS
#endif													// BGL___RGC_DFA_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	static obj_t BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1677z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t);
	static obj_t BGl_z62statezd2positionszb0zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_symbol1684z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1687z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_symbol1690z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_z62statezf3z91zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_symbol1693z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1697z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t bgl_display_obj(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00(void);
	static obj_t BGl_z62statezd2transitionszb0zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zz__rgc_dfaz00(void);
	static obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zz__rgc_dfaz00(void);
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zz__rgc_dfaz00(void);
	static obj_t BGl_z62statezd2namezb0zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_z62printzd2dfazb0zz__rgc_dfaz00(obj_t, obj_t);
	static obj_t BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1700z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1703z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1706z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1709z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1712z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1713z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1716z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1719z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t);
	static obj_t BGl_list1720z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1723z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1726z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_list1733z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1736z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1739z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__rgc_dfaz00(obj_t, obj_t);
	extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
	static obj_t BGl_list1683z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_treezd2maxzd2charz00zz__rgc_rulesz00(void);
	static obj_t BGl_list1686z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1689z00zz__rgc_dfaz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00(void);
	extern obj_t create_struct(obj_t, int);
	static obj_t BGl_list1692z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_list1696z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__rgc_dfaz00(void);
	static obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00(void);
	static obj_t BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00(obj_t);
	static long BGl_bucketzd2lenzd2zz__rgc_dfaz00 = 0L;
	BGL_EXPORTED_DECL bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00(void);
	BGL_EXPORTED_DECL obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t);
	extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
	static obj_t BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_symbol1701z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1704z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1707z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1710z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1714z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1717z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1721z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1724z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1727z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1734z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1737z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1740z00zz__rgc_dfaz00 = BUNSPEC;
	static obj_t BGl_symbol1742z00zz__rgc_dfaz00 = BUNSPEC;
	extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
	extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_printzd2dfazd2envz00zz__rgc_dfaz00,
		BgL_bgl_za762printza7d2dfaza7b1746za7, BGl_z62printzd2dfazb0zz__rgc_dfaz00,
		0L, BUNSPEC, 1);
	extern obj_t BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_resetzd2dfaz12zd2envz12zz__rgc_dfaz00,
		BgL_bgl_za762resetza7d2dfaza711747za7,
		BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_nodezd2ze3dfazd2envze3zz__rgc_dfaz00,
		BgL_bgl_za762nodeza7d2za7e3dfa1748za7,
		BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezd2namezd2envz00zz__rgc_dfaz00,
		BgL_bgl_za762stateza7d2nameza71749za7, BGl_z62statezd2namezb0zz__rgc_dfaz00,
		0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1702z00zz__rgc_dfaz00,
		BgL_bgl_string1702za700za7za7_1750za7, "if", 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezd2transitionszd2envz00zz__rgc_dfaz00,
		BgL_bgl_za762stateza7d2trans1751z00,
		BGl_z62statezd2transitionszb0zz__rgc_dfaz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1705z00zz__rgc_dfaz00,
		BgL_bgl_string1705za700za7za7_1752za7, "and", 3);
	      BGL_DEFINE_STRING(BGl_string1708z00zz__rgc_dfaz00,
		BgL_bgl_string1708za700za7za7_1753za7, "<", 1);
	      BGL_DEFINE_STRING(BGl_string1711z00zz__rgc_dfaz00,
		BgL_bgl_string1711za700za7za7_1754za7, "let", 3);
	      BGL_DEFINE_STRING(BGl_string1715z00zz__rgc_dfaz00,
		BgL_bgl_string1715za700za7za7_1755za7, "c", 1);
	      BGL_DEFINE_STRING(BGl_string1718z00zz__rgc_dfaz00,
		BgL_bgl_string1718za700za7za7_1756za7, "integer->char", 13);
	      BGL_DEFINE_STRING(BGl_string1722z00zz__rgc_dfaz00,
		BgL_bgl_string1722za700za7za7_1757za7, "or", 2);
	      BGL_DEFINE_STRING(BGl_string1725z00zz__rgc_dfaz00,
		BgL_bgl_string1725za700za7za7_1758za7, "char-alphabetic?", 16);
	      BGL_DEFINE_STRING(BGl_string1728z00zz__rgc_dfaz00,
		BgL_bgl_string1728za700za7za7_1759za7, "char-numeric?", 13);
	      BGL_DEFINE_STRING(BGl_string1729z00zz__rgc_dfaz00,
		BgL_bgl_string1729za700za7za7_1760za7, "ascii", 5);
	      BGL_DEFINE_STRING(BGl_string1730z00zz__rgc_dfaz00,
		BgL_bgl_string1730za700za7za7_1761za7, "special", 7);
	      BGL_DEFINE_STRING(BGl_string1731z00zz__rgc_dfaz00,
		BgL_bgl_string1731za700za7za7_1762za7, "]", 1);
	      BGL_DEFINE_STRING(BGl_string1732z00zz__rgc_dfaz00,
		BgL_bgl_string1732za700za7za7_1763za7, "  -->  ", 7);
	      BGL_DEFINE_STRING(BGl_string1735z00zz__rgc_dfaz00,
		BgL_bgl_string1735za700za7za7_1764za7, "__state-number", 14);
	      BGL_DEFINE_STRING(BGl_string1738z00zz__rgc_dfaz00,
		BgL_bgl_string1738za700za7za7_1765za7, "cdr", 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_getzd2initialzd2statezd2envzd2zz__rgc_dfaz00,
		BgL_bgl_za762getza7d2initial1766z00,
		BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00, 0L, BUNSPEC, 0);
	      BGL_DEFINE_STRING(BGl_string1741z00zz__rgc_dfaz00,
		BgL_bgl_string1741za700za7za7_1767za7, "__state-transitions", 19);
	      BGL_DEFINE_STRING(BGl_string1743z00zz__rgc_dfaz00,
		BgL_bgl_string1743za700za7za7_1768za7, "state", 5);
	      BGL_DEFINE_STRING(BGl_string1744z00zz__rgc_dfaz00,
		BgL_bgl_string1744za700za7za7_1769za7,
		"==================================================", 50);
	      BGL_DEFINE_STRING(BGl_string1745z00zz__rgc_dfaz00,
		BgL_bgl_string1745za700za7za7_1770za7, "__rgc_dfa", 9);
	      BGL_DEFINE_STRING(BGl_string1674z00zz__rgc_dfaz00,
		BgL_bgl_string1674za700za7za7_1771za7, "/tmp/bigloo/runtime/Rgc/rgcdfa.scm",
		34);
	      BGL_DEFINE_STRING(BGl_string1675z00zz__rgc_dfaz00,
		BgL_bgl_string1675za700za7za7_1772za7, "&node->dfa", 10);
	      BGL_DEFINE_STRING(BGl_string1676z00zz__rgc_dfaz00,
		BgL_bgl_string1676za700za7za7_1773za7, "vector", 6);
	      BGL_DEFINE_STRING(BGl_string1678z00zz__rgc_dfaz00,
		BgL_bgl_string1678za700za7za7_1774za7, "__state", 7);
	      BGL_DEFINE_STRING(BGl_string1679z00zz__rgc_dfaz00,
		BgL_bgl_string1679za700za7za7_1775za7, "STATE-", 6);
	      BGL_DEFINE_STRING(BGl_string1680z00zz__rgc_dfaz00,
		BgL_bgl_string1680za700za7za7_1776za7, "-", 1);
	      BGL_DEFINE_STRING(BGl_string1681z00zz__rgc_dfaz00,
		BgL_bgl_string1681za700za7za7_1777za7,
		"========= DFA ====================================", 50);
	      BGL_DEFINE_STRING(BGl_string1682z00zz__rgc_dfaz00,
		BgL_bgl_string1682za700za7za7_1778za7, "state: ", 7);
	      BGL_DEFINE_STRING(BGl_string1685z00zz__rgc_dfaz00,
		BgL_bgl_string1685za700za7za7_1779za7, "for-each", 8);
	      BGL_DEFINE_STRING(BGl_string1688z00zz__rgc_dfaz00,
		BgL_bgl_string1688za700za7za7_1780za7, "lambda", 6);
	      BGL_DEFINE_STRING(BGl_string1691z00zz__rgc_dfaz00,
		BgL_bgl_string1691za700za7za7_1781za7, "trans", 5);
	      BGL_DEFINE_STRING(BGl_string1694z00zz__rgc_dfaz00,
		BgL_bgl_string1694za700za7za7_1782za7, "print", 5);
	      BGL_DEFINE_STRING(BGl_string1695z00zz__rgc_dfaz00,
		BgL_bgl_string1695za700za7za7_1783za7, "   ", 3);
	      BGL_DEFINE_STRING(BGl_string1698z00zz__rgc_dfaz00,
		BgL_bgl_string1698za700za7za7_1784za7, "car", 3);
	      BGL_DEFINE_STRING(BGl_string1699z00zz__rgc_dfaz00,
		BgL_bgl_string1699za700za7za7_1785za7, " [", 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezf3zd2envz21zz__rgc_dfaz00,
		BgL_bgl_za762stateza7f3za791za7za71786za7, BGl_z62statezf3z91zz__rgc_dfaz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_statezd2positionszd2envz00zz__rgc_dfaz00,
		BgL_bgl_za762stateza7d2posit1787z00,
		BGl_z62statezd2positionszb0zz__rgc_dfaz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00;

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_PROCEDURE(BGl_statezd2positionszd2envz00zz__rgc_dfaz00,
			BgL_bgl_za762stateza7d2posit1787z00);
		BGL_BIND_PROCEDURE(BGl_statezf3zd2envz21zz__rgc_dfaz00,
			BgL_bgl_za762stateza7f3za791za7za71786za7);
		BGL_BIND_STRING(BGl_string1699z00zz__rgc_dfaz00,
			BgL_bgl_string1699za700za7za7_1785za7);
		BGL_BIND_STRING(BGl_string1698z00zz__rgc_dfaz00,
			BgL_bgl_string1698za700za7za7_1784za7);
		BGL_BIND_STRING(BGl_string1695z00zz__rgc_dfaz00,
			BgL_bgl_string1695za700za7za7_1783za7);
		BGL_BIND_STRING(BGl_string1694z00zz__rgc_dfaz00,
			BgL_bgl_string1694za700za7za7_1782za7);
		BGL_BIND_STRING(BGl_string1691z00zz__rgc_dfaz00,
			BgL_bgl_string1691za700za7za7_1781za7);
		BGL_BIND_STRING(BGl_string1688z00zz__rgc_dfaz00,
			BgL_bgl_string1688za700za7za7_1780za7);
		BGL_BIND_STRING(BGl_string1685z00zz__rgc_dfaz00,
			BgL_bgl_string1685za700za7za7_1779za7);
		BGL_BIND_STRING(BGl_string1682z00zz__rgc_dfaz00,
			BgL_bgl_string1682za700za7za7_1778za7);
		BGL_BIND_STRING(BGl_string1681z00zz__rgc_dfaz00,
			BgL_bgl_string1681za700za7za7_1777za7);
		BGL_BIND_STRING(BGl_string1680z00zz__rgc_dfaz00,
			BgL_bgl_string1680za700za7za7_1776za7);
		BGL_BIND_STRING(BGl_string1679z00zz__rgc_dfaz00,
			BgL_bgl_string1679za700za7za7_1775za7);
		BGL_BIND_STRING(BGl_string1678z00zz__rgc_dfaz00,
			BgL_bgl_string1678za700za7za7_1774za7);
		BGL_BIND_STRING(BGl_string1676z00zz__rgc_dfaz00,
			BgL_bgl_string1676za700za7za7_1773za7);
		BGL_BIND_STRING(BGl_string1675z00zz__rgc_dfaz00,
			BgL_bgl_string1675za700za7za7_1772za7);
		BGL_BIND_STRING(BGl_string1674z00zz__rgc_dfaz00,
			BgL_bgl_string1674za700za7za7_1771za7);
		BGL_BIND_STRING(BGl_string1745z00zz__rgc_dfaz00,
			BgL_bgl_string1745za700za7za7_1770za7);
		BGL_BIND_STRING(BGl_string1744z00zz__rgc_dfaz00,
			BgL_bgl_string1744za700za7za7_1769za7);
		BGL_BIND_STRING(BGl_string1743z00zz__rgc_dfaz00,
			BgL_bgl_string1743za700za7za7_1768za7);
		BGL_BIND_STRING(BGl_string1741z00zz__rgc_dfaz00,
			BgL_bgl_string1741za700za7za7_1767za7);
		BGL_BIND_PROCEDURE(BGl_getzd2initialzd2statezd2envzd2zz__rgc_dfaz00,
			BgL_bgl_za762getza7d2initial1766z00);
		BGL_BIND_STRING(BGl_string1738z00zz__rgc_dfaz00,
			BgL_bgl_string1738za700za7za7_1765za7);
		BGL_BIND_STRING(BGl_string1735z00zz__rgc_dfaz00,
			BgL_bgl_string1735za700za7za7_1764za7);
		BGL_BIND_STRING(BGl_string1732z00zz__rgc_dfaz00,
			BgL_bgl_string1732za700za7za7_1763za7);
		BGL_BIND_STRING(BGl_string1731z00zz__rgc_dfaz00,
			BgL_bgl_string1731za700za7za7_1762za7);
		BGL_BIND_STRING(BGl_string1730z00zz__rgc_dfaz00,
			BgL_bgl_string1730za700za7za7_1761za7);
		BGL_BIND_STRING(BGl_string1729z00zz__rgc_dfaz00,
			BgL_bgl_string1729za700za7za7_1760za7);
		BGL_BIND_STRING(BGl_string1728z00zz__rgc_dfaz00,
			BgL_bgl_string1728za700za7za7_1759za7);
		BGL_BIND_STRING(BGl_string1725z00zz__rgc_dfaz00,
			BgL_bgl_string1725za700za7za7_1758za7);
		BGL_BIND_STRING(BGl_string1722z00zz__rgc_dfaz00,
			BgL_bgl_string1722za700za7za7_1757za7);
		BGL_BIND_STRING(BGl_string1718z00zz__rgc_dfaz00,
			BgL_bgl_string1718za700za7za7_1756za7);
		BGL_BIND_STRING(BGl_string1715z00zz__rgc_dfaz00,
			BgL_bgl_string1715za700za7za7_1755za7);
		BGL_BIND_STRING(BGl_string1711z00zz__rgc_dfaz00,
			BgL_bgl_string1711za700za7za7_1754za7);
		BGL_BIND_STRING(BGl_string1708z00zz__rgc_dfaz00,
			BgL_bgl_string1708za700za7za7_1753za7);
		BGL_BIND_STRING(BGl_string1705z00zz__rgc_dfaz00,
			BgL_bgl_string1705za700za7za7_1752za7);
		BGL_BIND_PROCEDURE(BGl_statezd2transitionszd2envz00zz__rgc_dfaz00,
			BgL_bgl_za762stateza7d2trans1751z00);
		BGL_BIND_STRING(BGl_string1702z00zz__rgc_dfaz00,
			BgL_bgl_string1702za700za7za7_1750za7);
		BGL_BIND_PROCEDURE(BGl_statezd2namezd2envz00zz__rgc_dfaz00,
			BgL_bgl_za762stateza7d2nameza71749za7);
		BGL_BIND_PROCEDURE(BGl_nodezd2ze3dfazd2envze3zz__rgc_dfaz00,
			BgL_bgl_za762nodeza7d2za7e3dfa1748za7);
		BGL_BIND_PROCEDURE(BGl_resetzd2dfaz12zd2envz12zz__rgc_dfaz00,
			BgL_bgl_za762resetza7d2dfaza711747za7);
		BGL_BIND_PROCEDURE(BGl_printzd2dfazd2envz00zz__rgc_dfaz00,
			BgL_bgl_za762printza7d2dfaza7b1746za7);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_za2statesza2z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1677z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1684z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1687z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1690z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1693z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1697z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1700z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1703z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1706z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1709z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1712z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1713z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1716z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1719z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1720z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1723z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1726z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1733z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1736z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1739z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1683z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1686z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1689z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1692z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_list1696z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_za2statezd2numza2zd2zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1701z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1704z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1707z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1710z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1714z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1717z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1721z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1724z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1727z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1734z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1737z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1740z00zz__rgc_dfaz00));
		ADD_ROOT((void *) (&BGl_symbol1742z00zz__rgc_dfaz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long
		BgL_checksumz00_2156, char *BgL_fromz00_2157)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_dfaz00))
				{
					BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__rgc_dfaz00();
					BGl_cnstzd2initzd2zz__rgc_dfaz00();
					BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00();
					return BGl_toplevelzd2initzd2zz__rgc_dfaz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			BGl_symbol1677z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1678z00zz__rgc_dfaz00);
			BGl_symbol1684z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1685z00zz__rgc_dfaz00);
			BGl_symbol1687z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1688z00zz__rgc_dfaz00);
			BGl_symbol1690z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1691z00zz__rgc_dfaz00);
			BGl_list1689z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1690z00zz__rgc_dfaz00, BNIL);
			BGl_symbol1693z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1694z00zz__rgc_dfaz00);
			BGl_symbol1697z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1698z00zz__rgc_dfaz00);
			BGl_list1696z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1697z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_symbol1690z00zz__rgc_dfaz00, BNIL));
			BGl_symbol1701z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1702z00zz__rgc_dfaz00);
			BGl_symbol1704z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1705z00zz__rgc_dfaz00);
			BGl_symbol1707z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1708z00zz__rgc_dfaz00);
			BGl_list1706z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1707z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1696z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BINT(256L), BNIL)));
			BGl_symbol1710z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1711z00zz__rgc_dfaz00);
			BGl_symbol1714z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1715z00zz__rgc_dfaz00);
			BGl_symbol1717z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1718z00zz__rgc_dfaz00);
			BGl_list1716z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1717z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1696z00zz__rgc_dfaz00, BNIL));
			BGl_list1713z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1714z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1716z00zz__rgc_dfaz00, BNIL));
			BGl_list1712z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_list1713z00zz__rgc_dfaz00, BNIL);
			BGl_symbol1721z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1722z00zz__rgc_dfaz00);
			BGl_symbol1724z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1725z00zz__rgc_dfaz00);
			BGl_list1723z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1724z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_symbol1714z00zz__rgc_dfaz00, BNIL));
			BGl_symbol1727z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1728z00zz__rgc_dfaz00);
			BGl_list1726z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1727z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_symbol1714z00zz__rgc_dfaz00, BNIL));
			BGl_list1720z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1721z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1723z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_list1726z00zz__rgc_dfaz00, BNIL)));
			BGl_list1719z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1701z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1720z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_symbol1714z00zz__rgc_dfaz00,
						MAKE_YOUNG_PAIR(BGl_string1729z00zz__rgc_dfaz00, BNIL))));
			BGl_list1709z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1710z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1712z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_list1719z00zz__rgc_dfaz00, BNIL)));
			BGl_list1703z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1704z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1706z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_list1709z00zz__rgc_dfaz00, BNIL)));
			BGl_list1700z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1701z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1703z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_string1730z00zz__rgc_dfaz00, BNIL)));
			BGl_symbol1734z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1735z00zz__rgc_dfaz00);
			BGl_symbol1737z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1738z00zz__rgc_dfaz00);
			BGl_list1736z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1737z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_symbol1690z00zz__rgc_dfaz00, BNIL));
			BGl_list1733z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1734z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1736z00zz__rgc_dfaz00, BNIL));
			BGl_list1692z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1693z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_string1695z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_list1696z00zz__rgc_dfaz00,
						MAKE_YOUNG_PAIR(BGl_string1699z00zz__rgc_dfaz00,
							MAKE_YOUNG_PAIR(BGl_list1700z00zz__rgc_dfaz00,
								MAKE_YOUNG_PAIR(BGl_string1731z00zz__rgc_dfaz00,
									MAKE_YOUNG_PAIR(BGl_string1732z00zz__rgc_dfaz00,
										MAKE_YOUNG_PAIR(BGl_list1733z00zz__rgc_dfaz00, BNIL))))))));
			BGl_list1686z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1687z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_list1689z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_list1692z00zz__rgc_dfaz00, BNIL)));
			BGl_symbol1740z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1741z00zz__rgc_dfaz00);
			BGl_symbol1742z00zz__rgc_dfaz00 =
				bstring_to_symbol(BGl_string1743z00zz__rgc_dfaz00);
			BGl_list1739z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1740z00zz__rgc_dfaz00,
				MAKE_YOUNG_PAIR(BGl_symbol1742z00zz__rgc_dfaz00, BNIL));
			return (BGl_list1683z00zz__rgc_dfaz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__rgc_dfaz00,
					MAKE_YOUNG_PAIR(BGl_list1686z00zz__rgc_dfaz00,
						MAKE_YOUNG_PAIR(BGl_list1739z00zz__rgc_dfaz00, BNIL))), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			BGl_bucketzd2lenzd2zz__rgc_dfaz00 = 64L;
			BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
			BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
			return (BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC);
		}

	}



/* node->dfa */
	BGL_EXPORTED_DEF obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t
		BgL_rootz00_17, obj_t BgL_followposz00_18, obj_t BgL_positionsz00_19)
	{
		{	/* Rgc/rgcdfa.scm 71 */
			BGl_initzd2statesz12zc0zz__rgc_dfaz00();
			{	/* Rgc/rgcdfa.scm 78 */
				obj_t BgL_initialzd2statezd2_1243;

				{	/* Rgc/rgcdfa.scm 78 */
					obj_t BgL_arg1230z00_1274;

					BgL_arg1230z00_1274 =
						STRUCT_REF(((obj_t) BgL_rootz00_17), (int) (0L));
					BgL_initialzd2statezd2_1243 =
						BGl_makezd2statezd2zz__rgc_dfaz00(BgL_arg1230z00_1274);
				}
				BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 =
					BgL_initialzd2statezd2_1243;
				{	/* Rgc/rgcdfa.scm 81 */
					obj_t BgL_g1039z00_1245;

					{	/* Rgc/rgcdfa.scm 81 */
						obj_t BgL_list1226z00_1273;

						BgL_list1226z00_1273 =
							MAKE_YOUNG_PAIR(BgL_initialzd2statezd2_1243, BNIL);
						BgL_g1039z00_1245 = BgL_list1226z00_1273;
					}
					{
						obj_t BgL_dzd2stateszd2_1247;

						BgL_dzd2stateszd2_1247 = BgL_g1039z00_1245;
					BgL_zc3z04anonymousza31207ze3z87_1248:
						if (NULLP(BgL_dzd2stateszd2_1247))
							{	/* Rgc/rgcdfa.scm 83 */
								return
									BGl_hashtablezd2ze3listz31zz__hashz00
									(BGl_za2statesza2z00zz__rgc_dfaz00);
							}
						else
							{	/* Rgc/rgcdfa.scm 87 */
								obj_t BgL_newzd2dzd2statesz00_2099;

								{	/* Rgc/rgcdfa.scm 87 */
									obj_t BgL_cellvalz00_2247;

									BgL_cellvalz00_2247 = CDR(((obj_t) BgL_dzd2stateszd2_1247));
									BgL_newzd2dzd2statesz00_2099 =
										BGL_MAKE_UNSAFE_CELL(BgL_cellvalz00_2247);
								}
								{	/* Rgc/rgcdfa.scm 87 */
									obj_t BgL_tz00_1251;

									BgL_tz00_1251 = CAR(((obj_t) BgL_dzd2stateszd2_1247));
									{	/* Rgc/rgcdfa.scm 88 */
										obj_t BgL_tzd2positionszd2_1252;

										BgL_tzd2positionszd2_1252 =
											STRUCT_REF(((obj_t) BgL_tz00_1251), (int) (3L));
										{	/* Rgc/rgcdfa.scm 89 */

											{	/* Rgc/rgcdfa.scm 95 */
												obj_t BgL_arg1213z00_1254;

												{	/* Rgc/rgcdfa.scm 245 */
													obj_t BgL_symbolzd2setzd2_1768;

													{	/* Rgc/rgcdfa.scm 245 */
														obj_t BgL_arg1271z00_1769;

														BgL_arg1271z00_1769 =
															BGl_treezd2maxzd2charz00zz__rgc_rulesz00();
														BgL_symbolzd2setzd2_1768 =
															BGl_makezd2rgcsetzd2zz__rgc_setz00(
															(long) CINT(BgL_arg1271z00_1769));
													}
													{	/* Rgc/rgcdfa.scm 247 */
														obj_t BgL_zc3z04anonymousza31267ze3z87_2071;

														BgL_zc3z04anonymousza31267ze3z87_2071 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza31267ze3ze5zz__rgc_dfaz00,
															(int) (1L), (int) (2L));
														PROCEDURE_SET(BgL_zc3z04anonymousza31267ze3z87_2071,
															(int) (0L), BgL_positionsz00_19);
														PROCEDURE_SET(BgL_zc3z04anonymousza31267ze3z87_2071,
															(int) (1L), BgL_symbolzd2setzd2_1768);
														BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
															(BgL_zc3z04anonymousza31267ze3z87_2071,
															BgL_tzd2positionszd2_1252);
													}
													BgL_arg1213z00_1254 = BgL_symbolzd2setzd2_1768;
												}
												{	/* Rgc/rgcdfa.scm 96 */
													obj_t BgL_zc3z04anonymousza31214ze3z87_2070;

													BgL_zc3z04anonymousza31214ze3z87_2070 =
														MAKE_FX_PROCEDURE
														(BGl_z62zc3z04anonymousza31214ze3ze5zz__rgc_dfaz00,
														(int) (1L), (int) (6L));
													PROCEDURE_SET(BgL_zc3z04anonymousza31214ze3z87_2070,
														(int) (0L),
														BINT(VECTOR_LENGTH(BgL_positionsz00_19)));
													PROCEDURE_SET(BgL_zc3z04anonymousza31214ze3z87_2070,
														(int) (1L), BgL_followposz00_18);
													PROCEDURE_SET(BgL_zc3z04anonymousza31214ze3z87_2070,
														(int) (2L), BgL_positionsz00_19);
													PROCEDURE_SET(BgL_zc3z04anonymousza31214ze3z87_2070,
														(int) (3L), BgL_tzd2positionszd2_1252);
													PROCEDURE_SET(BgL_zc3z04anonymousza31214ze3z87_2070,
														(int) (4L), ((obj_t) BgL_newzd2dzd2statesz00_2099));
													PROCEDURE_SET(BgL_zc3z04anonymousza31214ze3z87_2070,
														(int) (5L), BgL_tz00_1251);
													BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
														(BgL_zc3z04anonymousza31214ze3z87_2070,
														BgL_arg1213z00_1254);
											}}
											{
												obj_t BgL_dzd2stateszd2_2285;

												BgL_dzd2stateszd2_2285 =
													BGL_UNSAFE_CELL_REF(BgL_newzd2dzd2statesz00_2099);
												BgL_dzd2stateszd2_1247 = BgL_dzd2stateszd2_2285;
												goto BgL_zc3z04anonymousza31207ze3z87_1248;
											}
										}
									}
								}
							}
					}
				}
			}
		}

	}



/* &node->dfa */
	obj_t BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00(obj_t BgL_envz00_2072,
		obj_t BgL_rootz00_2073, obj_t BgL_followposz00_2074,
		obj_t BgL_positionsz00_2075)
	{
		{	/* Rgc/rgcdfa.scm 71 */
			{	/* Rgc/rgcdfa.scm 73 */
				obj_t BgL_auxz00_2293;
				obj_t BgL_auxz00_2286;

				if (VECTORP(BgL_positionsz00_2075))
					{	/* Rgc/rgcdfa.scm 73 */
						BgL_auxz00_2293 = BgL_positionsz00_2075;
					}
				else
					{
						obj_t BgL_auxz00_2296;

						BgL_auxz00_2296 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1674z00zz__rgc_dfaz00,
							BINT(2485L), BGl_string1675z00zz__rgc_dfaz00,
							BGl_string1676z00zz__rgc_dfaz00, BgL_positionsz00_2075);
						FAILURE(BgL_auxz00_2296, BFALSE, BFALSE);
					}
				if (VECTORP(BgL_followposz00_2074))
					{	/* Rgc/rgcdfa.scm 73 */
						BgL_auxz00_2286 = BgL_followposz00_2074;
					}
				else
					{
						obj_t BgL_auxz00_2289;

						BgL_auxz00_2289 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1674z00zz__rgc_dfaz00,
							BINT(2485L), BGl_string1675z00zz__rgc_dfaz00,
							BGl_string1676z00zz__rgc_dfaz00, BgL_followposz00_2074);
						FAILURE(BgL_auxz00_2289, BFALSE, BFALSE);
					}
				return
					BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(BgL_rootz00_2073, BgL_auxz00_2286,
					BgL_auxz00_2293);
			}
		}

	}



/* &<@anonymous:1214> */
	obj_t BGl_z62zc3z04anonymousza31214ze3ze5zz__rgc_dfaz00(obj_t BgL_envz00_2076,
		obj_t BgL_az00_2083)
	{
		{	/* Rgc/rgcdfa.scm 95 */
			{	/* Rgc/rgcdfa.scm 96 */
				long BgL_positionszd2numzd2_2077;
				obj_t BgL_followposz00_2078;
				obj_t BgL_positionsz00_2079;
				obj_t BgL_tzd2positionszd2_2080;
				obj_t BgL_newzd2dzd2statesz00_2081;
				obj_t BgL_tz00_2082;

				BgL_positionszd2numzd2_2077 =
					(long) CINT(PROCEDURE_REF(BgL_envz00_2076, (int) (0L)));
				BgL_followposz00_2078 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2076, (int) (1L)));
				BgL_positionsz00_2079 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2076, (int) (2L)));
				BgL_tzd2positionszd2_2080 = PROCEDURE_REF(BgL_envz00_2076, (int) (3L));
				BgL_newzd2dzd2statesz00_2081 =
					PROCEDURE_REF(BgL_envz00_2076, (int) (4L));
				BgL_tz00_2082 = PROCEDURE_REF(BgL_envz00_2076, (int) (5L));
				{	/* Rgc/rgcdfa.scm 96 */
					obj_t BgL_uz00_2143;
					obj_t BgL_uzd2emptyzf3z21_2144;

					BgL_uz00_2143 =
						BGl_makezd2rgcsetzd2zz__rgc_setz00(BgL_positionszd2numzd2_2077);
					BgL_uzd2emptyzf3z21_2144 = BGL_MAKE_UNSAFE_CELL(BTRUE);
					{	/* Rgc/rgcdfa.scm 100 */
						obj_t BgL_zc3z04anonymousza31216ze3z87_2145;

						BgL_zc3z04anonymousza31216ze3z87_2145 =
							MAKE_FX_PROCEDURE
							(BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00, (int) (1L),
							(int) (5L));
						PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2145, (int) (0L),
							((obj_t) BgL_uzd2emptyzf3z21_2144));
						PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2145, (int) (1L),
							BgL_followposz00_2078);
						PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2145, (int) (2L),
							BgL_uz00_2143);
						PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2145, (int) (3L),
							BgL_positionsz00_2079);
						PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2145, (int) (4L),
							BgL_az00_2083);
						BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00
							(BgL_zc3z04anonymousza31216ze3z87_2145,
							BgL_tzd2positionszd2_2080);
					}
					if (CBOOL(BGL_UNSAFE_CELL_REF(BgL_uzd2emptyzf3z21_2144)))
						{	/* Rgc/rgcdfa.scm 107 */
							return BFALSE;
						}
					else
						{	/* Rgc/rgcdfa.scm 108 */
							obj_t BgL_usz00_2146;

							{	/* Rgc/rgcdfa.scm 108 */
								obj_t BgL_ostatez00_2147;

								BgL_ostatez00_2147 =
									BGl_hashtablezd2getzd2zz__hashz00
									(BGl_za2statesza2z00zz__rgc_dfaz00, BgL_uz00_2143);
								{	/* Rgc/rgcdfa.scm 110 */
									bool_t BgL_test1793z00_2335;

									if (STRUCTP(BgL_ostatez00_2147))
										{	/* Rgc/rgcdfa.scm 149 */
											BgL_test1793z00_2335 =
												(STRUCT_KEY(BgL_ostatez00_2147) ==
												BGl_symbol1677z00zz__rgc_dfaz00);
										}
									else
										{	/* Rgc/rgcdfa.scm 149 */
											BgL_test1793z00_2335 = ((bool_t) 0);
										}
									if (BgL_test1793z00_2335)
										{	/* Rgc/rgcdfa.scm 110 */
											BgL_usz00_2146 = BgL_ostatez00_2147;
										}
									else
										{	/* Rgc/rgcdfa.scm 111 */
											obj_t BgL_newzd2statezd2_2148;

											BgL_newzd2statezd2_2148 =
												BGl_makezd2statezd2zz__rgc_dfaz00(BgL_uz00_2143);
											{	/* Rgc/rgcdfa.scm 114 */
												obj_t BgL_auxz00_2149;

												BgL_auxz00_2149 =
													MAKE_YOUNG_PAIR(BgL_newzd2statezd2_2148,
													BGL_UNSAFE_CELL_REF(BgL_newzd2dzd2statesz00_2081));
												BGL_UNSAFE_CELL_SET(BgL_newzd2dzd2statesz00_2081,
													BgL_auxz00_2149);
											}
											BgL_usz00_2146 = BgL_newzd2statezd2_2148;
										}
								}
							}
							{	/* Rgc/rgcdfa.scm 239 */
								obj_t BgL_arg1262z00_2150;

								{	/* Rgc/rgcdfa.scm 239 */
									obj_t BgL_arg1263z00_2151;
									obj_t BgL_arg1265z00_2152;

									BgL_arg1263z00_2151 =
										MAKE_YOUNG_PAIR(BgL_az00_2083, BgL_usz00_2146);
									BgL_arg1265z00_2152 =
										STRUCT_REF(((obj_t) BgL_tz00_2082), (int) (2L));
									BgL_arg1262z00_2150 =
										MAKE_YOUNG_PAIR(BgL_arg1263z00_2151, BgL_arg1265z00_2152);
								}
								{	/* Rgc/rgcdfa.scm 149 */
									int BgL_auxz00_2349;
									obj_t BgL_tmpz00_2347;

									BgL_auxz00_2349 = (int) (2L);
									BgL_tmpz00_2347 = ((obj_t) BgL_tz00_2082);
									return
										STRUCT_SET(BgL_tmpz00_2347, BgL_auxz00_2349,
										BgL_arg1262z00_2150);
								}
							}
						}
				}
			}
		}

	}



/* &<@anonymous:1216> */
	obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00(obj_t BgL_envz00_2087,
		obj_t BgL_pz00_2093)
	{
		{	/* Rgc/rgcdfa.scm 99 */
			{	/* Rgc/rgcdfa.scm 100 */
				obj_t BgL_uzd2emptyzf3z21_2088;
				obj_t BgL_followposz00_2089;
				obj_t BgL_uz00_2090;
				obj_t BgL_positionsz00_2091;
				obj_t BgL_az00_2092;

				BgL_uzd2emptyzf3z21_2088 = PROCEDURE_REF(BgL_envz00_2087, (int) (0L));
				BgL_followposz00_2089 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2087, (int) (1L)));
				BgL_uz00_2090 = PROCEDURE_REF(BgL_envz00_2087, (int) (2L));
				BgL_positionsz00_2091 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2087, (int) (3L)));
				BgL_az00_2092 = PROCEDURE_REF(BgL_envz00_2087, (int) (4L));
				{	/* Rgc/rgcdfa.scm 100 */
					bool_t BgL_test1795z00_2364;

					{	/* Rgc/rgcdfa.scm 100 */
						obj_t BgL_arg1224z00_2153;

						BgL_arg1224z00_2153 =
							VECTOR_REF(BgL_positionsz00_2091, (long) CINT(BgL_pz00_2093));
						BgL_test1795z00_2364 =
							((long) CINT(BgL_az00_2092) == (long) CINT(BgL_arg1224z00_2153));
					}
					if (BgL_test1795z00_2364)
						{	/* Rgc/rgcdfa.scm 100 */
							{	/* Rgc/rgcdfa.scm 102 */
								obj_t BgL_auxz00_2154;

								BgL_auxz00_2154 = BFALSE;
								BGL_UNSAFE_CELL_SET(BgL_uzd2emptyzf3z21_2088, BgL_auxz00_2154);
							}
							return
								BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_uz00_2090,
								VECTOR_REF(BgL_followposz00_2089, (long) CINT(BgL_pz00_2093)));
						}
					else
						{	/* Rgc/rgcdfa.scm 100 */
							return BFALSE;
						}
				}
			}
		}

	}



/* &<@anonymous:1267> */
	obj_t BGl_z62zc3z04anonymousza31267ze3ze5zz__rgc_dfaz00(obj_t BgL_envz00_2095,
		obj_t BgL_iz00_2098)
	{
		{	/* Rgc/rgcdfa.scm 246 */
			{	/* Rgc/rgcdfa.scm 247 */
				obj_t BgL_positionsz00_2096;
				obj_t BgL_symbolzd2setzd2_2097;

				BgL_positionsz00_2096 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2095, (int) (0L)));
				BgL_symbolzd2setzd2_2097 = PROCEDURE_REF(BgL_envz00_2095, (int) (1L));
				{	/* Rgc/rgcdfa.scm 247 */
					obj_t BgL_arg1269z00_2155;

					BgL_arg1269z00_2155 =
						VECTOR_REF(BgL_positionsz00_2096, (long) CINT(BgL_iz00_2098));
					return
						BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_symbolzd2setzd2_2097,
						(long) CINT(BgL_arg1269z00_2155));
		}}}

	}



/* reset-dfa! */
	BGL_EXPORTED_DEF obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 128 */
			BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
			BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
			return (BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC);
		}

	}



/* &reset-dfa! */
	obj_t BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00(obj_t BgL_envz00_2101)
	{
		{	/* Rgc/rgcdfa.scm 128 */
			return BGl_resetzd2dfaz12zc0zz__rgc_dfaz00();
		}

	}



/* get-initial-state */
	BGL_EXPORTED_DEF obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 141 */
			return BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00;
		}

	}



/* &get-initial-state */
	obj_t BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00(obj_t BgL_envz00_2102)
	{
		{	/* Rgc/rgcdfa.scm 141 */
			return BGl_getzd2initialzd2statez00zz__rgc_dfaz00();
		}

	}



/* init-states! */
	obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 165 */
			BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BINT((-1L));
			{	/* Rgc/rgcdfa.scm 167 */
				obj_t BgL_list1249z00_1288;

				{	/* Rgc/rgcdfa.scm 167 */
					obj_t BgL_arg1252z00_1289;

					{	/* Rgc/rgcdfa.scm 167 */
						obj_t BgL_arg1253z00_1290;

						{	/* Rgc/rgcdfa.scm 167 */
							obj_t BgL_arg1254z00_1291;

							BgL_arg1254z00_1291 =
								MAKE_YOUNG_PAIR(BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00,
								BNIL);
							BgL_arg1253z00_1290 =
								MAKE_YOUNG_PAIR(BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00,
								BgL_arg1254z00_1291);
						}
						BgL_arg1252z00_1289 =
							MAKE_YOUNG_PAIR(BINT(64L), BgL_arg1253z00_1290);
					}
					BgL_list1249z00_1288 =
						MAKE_YOUNG_PAIR(BINT(1024L), BgL_arg1252z00_1289);
				}
				return (BGl_za2statesza2z00zz__rgc_dfaz00 =
					BGl_makezd2hashtablezd2zz__hashz00(BgL_list1249z00_1288), BUNSPEC);
			}
		}

	}



/* make-state */
	obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t BgL_positionsz00_38)
	{
		{	/* Rgc/rgcdfa.scm 187 */
			{	/* Rgc/rgcdfa.scm 188 */
				obj_t BgL_numz00_1292;

				BGl_za2statezd2numza2zd2zz__rgc_dfaz00 =
					ADDFX(BGl_za2statezd2numza2zd2zz__rgc_dfaz00, BINT(1L));
				BgL_numz00_1292 = BGl_za2statezd2numza2zd2zz__rgc_dfaz00;
				{	/* Rgc/rgcdfa.scm 188 */
					obj_t BgL_namez00_1293;

					{	/* Rgc/rgcdfa.scm 189 */
						obj_t BgL_arg1259z00_1296;

						{	/* Rgc/rgcdfa.scm 189 */
							obj_t BgL_arg1261z00_1297;

							{	/* Ieee/number.scm 172 */

								BgL_arg1261z00_1297 =
									BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
									(BgL_numz00_1292, BINT(10L));
							}
							BgL_arg1259z00_1296 =
								string_append_3(BGl_string1679z00zz__rgc_dfaz00,
								BgL_arg1261z00_1297, BGl_string1680z00zz__rgc_dfaz00);
						}
						BgL_namez00_1293 =
							BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1259z00_1296);
					}
					{	/* Rgc/rgcdfa.scm 189 */
						obj_t BgL_statez00_1294;

						{	/* Rgc/rgcdfa.scm 149 */
							obj_t BgL_newz00_1811;

							BgL_newz00_1811 =
								create_struct(BGl_symbol1677z00zz__rgc_dfaz00, (int) (4L));
							{	/* Rgc/rgcdfa.scm 149 */
								int BgL_tmpz00_2400;

								BgL_tmpz00_2400 = (int) (3L);
								STRUCT_SET(BgL_newz00_1811, BgL_tmpz00_2400,
									BgL_positionsz00_38);
							}
							{	/* Rgc/rgcdfa.scm 149 */
								int BgL_tmpz00_2403;

								BgL_tmpz00_2403 = (int) (2L);
								STRUCT_SET(BgL_newz00_1811, BgL_tmpz00_2403, BNIL);
							}
							{	/* Rgc/rgcdfa.scm 149 */
								int BgL_tmpz00_2406;

								BgL_tmpz00_2406 = (int) (1L);
								STRUCT_SET(BgL_newz00_1811, BgL_tmpz00_2406, BgL_numz00_1292);
							}
							{	/* Rgc/rgcdfa.scm 149 */
								int BgL_tmpz00_2409;

								BgL_tmpz00_2409 = (int) (0L);
								STRUCT_SET(BgL_newz00_1811, BgL_tmpz00_2409, BgL_namez00_1293);
							}
							BgL_statez00_1294 = BgL_newz00_1811;
						}
						{	/* Rgc/rgcdfa.scm 190 */

							{	/* Rgc/rgcdfa.scm 192 */
								obj_t BgL_arg1258z00_1295;

								BgL_arg1258z00_1295 = STRUCT_REF(BgL_statez00_1294, (int) (3L));
								BGl_hashtablezd2putz12zc0zz__hashz00
									(BGl_za2statesza2z00zz__rgc_dfaz00, BgL_arg1258z00_1295,
									BgL_statez00_1294);
							}
							return BgL_statez00_1294;
						}
					}
				}
			}
		}

	}



/* state-positions */
	BGL_EXPORTED_DEF obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t
		BgL_statez00_40)
	{
		{	/* Rgc/rgcdfa.scm 206 */
			return STRUCT_REF(((obj_t) BgL_statez00_40), (int) (3L));
		}

	}



/* &state-positions */
	obj_t BGl_z62statezd2positionszb0zz__rgc_dfaz00(obj_t BgL_envz00_2108,
		obj_t BgL_statez00_2109)
	{
		{	/* Rgc/rgcdfa.scm 206 */
			return BGl_statezd2positionszd2zz__rgc_dfaz00(BgL_statez00_2109);
		}

	}



/* state-name */
	BGL_EXPORTED_DEF obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t
		BgL_statez00_41)
	{
		{	/* Rgc/rgcdfa.scm 212 */
			return STRUCT_REF(((obj_t) BgL_statez00_41), (int) (0L));
		}

	}



/* &state-name */
	obj_t BGl_z62statezd2namezb0zz__rgc_dfaz00(obj_t BgL_envz00_2110,
		obj_t BgL_statez00_2111)
	{
		{	/* Rgc/rgcdfa.scm 212 */
			return BGl_statezd2namezd2zz__rgc_dfaz00(BgL_statez00_2111);
		}

	}



/* state-transitions */
	BGL_EXPORTED_DEF obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t
		BgL_statez00_43)
	{
		{	/* Rgc/rgcdfa.scm 224 */
			return STRUCT_REF(((obj_t) BgL_statez00_43), (int) (2L));
		}

	}



/* &state-transitions */
	obj_t BGl_z62statezd2transitionszb0zz__rgc_dfaz00(obj_t BgL_envz00_2112,
		obj_t BgL_statez00_2113)
	{
		{	/* Rgc/rgcdfa.scm 224 */
			return BGl_statezd2transitionszd2zz__rgc_dfaz00(BgL_statez00_2113);
		}

	}



/* state? */
	BGL_EXPORTED_DEF bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t BgL_objz00_44)
	{
		{	/* Rgc/rgcdfa.scm 230 */
			if (STRUCTP(BgL_objz00_44))
				{	/* Rgc/rgcdfa.scm 149 */
					return (STRUCT_KEY(BgL_objz00_44) == BGl_symbol1677z00zz__rgc_dfaz00);
				}
			else
				{	/* Rgc/rgcdfa.scm 149 */
					return ((bool_t) 0);
				}
		}

	}



/* &state? */
	obj_t BGl_z62statezf3z91zz__rgc_dfaz00(obj_t BgL_envz00_2114,
		obj_t BgL_objz00_2115)
	{
		{	/* Rgc/rgcdfa.scm 230 */
			return BBOOL(BGl_statezf3zf3zz__rgc_dfaz00(BgL_objz00_2115));
		}

	}



/* print-dfa */
	BGL_EXPORTED_DEF obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t BgL_dfaz00_50)
	{
		{	/* Rgc/rgcdfa.scm 254 */
			{	/* Rgc/rgcdfa.scm 255 */
				obj_t BgL_port1087z00_1310;

				{	/* Rgc/rgcdfa.scm 255 */
					obj_t BgL_tmpz00_2433;

					BgL_tmpz00_2433 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_port1087z00_1310 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2433);
				}
				bgl_display_string(BGl_string1681z00zz__rgc_dfaz00,
					BgL_port1087z00_1310);
				bgl_display_char(((unsigned char) 10), BgL_port1087z00_1310);
			}
			{
				obj_t BgL_l1089z00_1312;

				BgL_l1089z00_1312 = BgL_dfaz00_50;
			BgL_zc3z04anonymousza31272ze3z87_1313:
				if (PAIRP(BgL_l1089z00_1312))
					{	/* Rgc/rgcdfa.scm 256 */
						{	/* Rgc/rgcdfa.scm 257 */
							obj_t BgL_statez00_1315;

							BgL_statez00_1315 = CAR(BgL_l1089z00_1312);
							{	/* Rgc/rgcdfa.scm 257 */
								obj_t BgL_port1088z00_1316;

								{	/* Rgc/rgcdfa.scm 257 */
									obj_t BgL_tmpz00_2441;

									BgL_tmpz00_2441 = BGL_CURRENT_DYNAMIC_ENV();
									BgL_port1088z00_1316 =
										BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2441);
								}
								bgl_display_string(BGl_string1682z00zz__rgc_dfaz00,
									BgL_port1088z00_1316);
								{	/* Rgc/rgcdfa.scm 257 */
									obj_t BgL_arg1274z00_1317;

									BgL_arg1274z00_1317 =
										STRUCT_REF(((obj_t) BgL_statez00_1315), (int) (1L));
									bgl_display_obj(BgL_arg1274z00_1317, BgL_port1088z00_1316);
								}
								bgl_display_char(((unsigned char) 10), BgL_port1088z00_1316);
							} BGl_list1683z00zz__rgc_dfaz00;
						}
						{
							obj_t BgL_l1089z00_2450;

							BgL_l1089z00_2450 = CDR(BgL_l1089z00_1312);
							BgL_l1089z00_1312 = BgL_l1089z00_2450;
							goto BgL_zc3z04anonymousza31272ze3z87_1313;
						}
					}
				else
					{	/* Rgc/rgcdfa.scm 256 */
						((bool_t) 1);
					}
			}
			{	/* Rgc/rgcdfa.scm 273 */
				obj_t BgL_port1091z00_1320;

				{	/* Rgc/rgcdfa.scm 273 */
					obj_t BgL_tmpz00_2452;

					BgL_tmpz00_2452 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_port1091z00_1320 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2452);
				}
				bgl_display_string(BGl_string1744z00zz__rgc_dfaz00,
					BgL_port1091z00_1320);
				bgl_display_char(((unsigned char) 10), BgL_port1091z00_1320);
			}
			{	/* Rgc/rgcdfa.scm 274 */
				obj_t BgL_arg1278z00_1321;

				{	/* Rgc/rgcdfa.scm 274 */
					obj_t BgL_tmpz00_2457;

					BgL_tmpz00_2457 = BGL_CURRENT_DYNAMIC_ENV();
					BgL_arg1278z00_1321 = BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2457);
				}
				return bgl_display_char(((unsigned char) 10), BgL_arg1278z00_1321);
		}}

	}



/* &print-dfa */
	obj_t BGl_z62printzd2dfazb0zz__rgc_dfaz00(obj_t BgL_envz00_2116,
		obj_t BgL_dfaz00_2117)
	{
		{	/* Rgc/rgcdfa.scm 254 */
			return BGl_printzd2dfazd2zz__rgc_dfaz00(BgL_dfaz00_2117);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00(void)
	{
		{	/* Rgc/rgcdfa.scm 15 */
			BGl_modulezd2initializa7ationz75zz__rgc_configz00(428274736L,
				BSTRING_TO_STRING(BGl_string1745z00zz__rgc_dfaz00));
			BGl_modulezd2initializa7ationz75zz__rgc_setz00(225075643L,
				BSTRING_TO_STRING(BGl_string1745z00zz__rgc_dfaz00));
			BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(181068393L,
				BSTRING_TO_STRING(BGl_string1745z00zz__rgc_dfaz00));
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1745z00zz__rgc_dfaz00));
		}

	}

#ifdef __cplusplus
}
#endif
